gr::dab::fractional_interpolator_triggered_update_cc Class Referenceabstract

<+description of block+> More...

`#include <fractional_interpolator_triggered_update_cc.h>`

Inheritance diagram for gr::dab::fractional_interpolator_triggered_update_cc:
[legend]

## Public Types

typedef std::shared_ptr< fractional_interpolator_triggered_update_cc > | sptr

## Public Member Functions

virtual void | set_interp_ratio (float interp_ratio)=0

## Static Public Member Functions

static sptr | make (float phase_shift, float interp_ratio)
| Return a shared_ptr to a new instance of dab::fractional_interpolator_triggered_update_cc.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<fractional_interpolator_triggered_update_cc> gr::dab::fractional_interpolator_triggered_update_cc::sptr

## Member Function Documentation

## make()

sptr gr::dab::fractional_interpolator_triggered_update_cc::make | ( | float | phase_shift,
|  | float | interp_ratio )

static

Return a shared_ptr to a new instance of dab::fractional_interpolator_triggered_update_cc.

To avoid accidental use of raw pointers, dab::fractional_interpolator_triggered_update_cc's constructor is in a private implementation class. dab::fractional_interpolator_triggered_update_cc::make is the public interface for creating new instances.

## set_interp_ratio()

virtual void gr::dab::fractional_interpolator_triggered_update_cc::set_interp_ratio | ( | float | interp_ratio | ) |

pure virtual

Implemented in gr::dab::fractional_interpolator_triggered_update_cc_impl.

The documentation for this class was generated from the following file:

- fractional_interpolator_triggered_update_cc.h